{
  "compilerOptions": {
    "target": "ES2022",
    "baseUrl": ".",
    "useDefineForClassFields": true,
    "module": "ESNext",
    "moduleResolution": "Bundler",
    "strict": true,
    "jsx": "preserve",
    "resolveJsonModule": true,
    "isolatedModules": true,
    "esModuleInterop": true,
    "lib": ["ES2022", "DOM", "DOM.Iterable"],
    "types": ["node", "vite/client", "vitest/globals"],
    "paths": {
      "@/*": ["src/*"],
      "@contracts": ["contracts/ts/index.ts"]
    },
    "skipLibCheck": true,
    "noEmit": true
  },
  "include": [
    "src/**/*.ts",
    "src/**/*.vue",
    "src/**/*.d.ts",
    "contracts/ts/**/*.ts",
    "vite.config.ts"
  ]
}
